Index: arch/arm/config.in
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/config.in,v
retrieving revision 1.1
retrieving revision 1.3
diff -u -r1.1 -r1.3
--- arch/arm/config.in	22 Jul 2004 19:48:57 -0000	1.1
+++ arch/arm/config.in	9 Feb 2006 22:58:57 -0000	1.3
@@ -33,26 +33,26 @@
 comment 'System Type'
 
 choice 'ARM system type' \
-    "Anakin         CONFIG_ARCH_ANAKIN \
-     Archimedes/A5000   CONFIG_ARCH_ARCA5K \
-     Cirrus-CL-PS7500FE     CONFIG_ARCH_CLPS7500 \
-     CLPS711x/EP721x-based  CONFIG_ARCH_CLPS711X \
-     Co-EBSA285     CONFIG_ARCH_CO285 \
-     EBSA-110       CONFIG_ARCH_EBSA110 \
-     Excalibur-ARM          CONFIG_ARCH_CAMELOT \
-     FootBridge     CONFIG_ARCH_FOOTBRIDGE \
-     Integrator     CONFIG_ARCH_INTEGRATOR \
-     Omaha          CONFIG_ARCH_OMAHA \
-     LinkUp-L7200       CONFIG_ARCH_L7200 \
-     Motorola-MX1ADS        CONFIG_ARCH_MX1ADS \
+	"Anakin			CONFIG_ARCH_ANAKIN \
+	 Archimedes/A5000	CONFIG_ARCH_ARCA5K \
+	 Cirrus-CL-PS7500FE     CONFIG_ARCH_CLPS7500 \
+ 	 CLPS711x/EP721x-based	CONFIG_ARCH_CLPS711X \
+	 Co-EBSA285		CONFIG_ARCH_CO285 \
+	 EBSA-110		CONFIG_ARCH_EBSA110 \
+ 	 Excalibur-ARM          CONFIG_ARCH_CAMELOT \
+	 FootBridge		CONFIG_ARCH_FOOTBRIDGE \
+	 Integrator		CONFIG_ARCH_INTEGRATOR \
+	 Omaha			CONFIG_ARCH_OMAHA \
+	 LinkUp-L7200		CONFIG_ARCH_L7200 \
+	 Motorola-MX1ADS        CONFIG_ARCH_MX1ADS \
      EP9301                 CONFIG_ARCH_EP9301 \
      EP9312                 CONFIG_ARCH_EP9312 \
      EP9315                 CONFIG_ARCH_EP9315 \
-     RiscPC         CONFIG_ARCH_RPC \
-     RiscStation        CONFIG_ARCH_RISCSTATION \
-     SA1100-based       CONFIG_ARCH_SA1100 \
-     Shark          CONFIG_ARCH_SHARK \
-     AT91RM9200-based   CONFIG_ARCH_AT91RM9200 " RiscPC
+	 RiscPC			CONFIG_ARCH_RPC \
+	 RiscStation		CONFIG_ARCH_RISCSTATION \
+	 SA1100-based		CONFIG_ARCH_SA1100 \
+	 Shark			CONFIG_ARCH_SHARK \
+	 AT91RM9200-based	CONFIG_ARCH_AT91RM9200 " RiscPC
 
 mainmenu_option next_comment
 comment 'Archimedes/A5000 Implementations'
@@ -147,6 +147,7 @@
 mainmenu_option next_comment
 comment 'AT91RM9200 Implementations'
 dep_bool '  Atmel AT91RM9200 Development Board' CONFIG_ARCH_AT91RM9200DK $CONFIG_ARCH_AT91RM9200
+dep_bool '  Cogent CSB337' CONFIG_MACH_CSB337 $CONFIG_ARCH_AT91RM9200
 endmenu
 
 mainmenu_option next_comment
@@ -192,6 +193,12 @@
    define_bool CONFIG_ARCH_ACORN n
 fi
 
+if [ "$CONFIG_ARCH_CAMELOT" = "y" ]; then
+   define_bool CONFIG_PLD y
+else
+   define_bool CONFIG_PLD n
+fi
+
 #####################################################################
 # Footbridge support
 if [ "$CONFIG_ARCH_CO285" = "y" -o \
@@ -340,7 +347,7 @@
    define_bool CONFIG_CPU_ARM920T y
 else
    if [ "$CONFIG_ARCH_INTEGRATOR" = "y" -o \
-    "$CONFIG_ARCH_OMAHA" = "y" ]; then
+	"$CONFIG_ARCH_OMAHA" = "y" ]; then
       bool 'Support ARM920T processor' CONFIG_CPU_ARM920T
    else
       define_bool CONFIG_CPU_ARM920T n
@@ -351,26 +358,42 @@
 # ARM922T
 if [ "$CONFIG_ARCH_CAMELOT" = "y" ]; then
    define_bool CONFIG_CPU_ARM922T y
-   define_bool CONFIG_PLD y
 else
-   define_bool CONFIG_CPU_ARM922T n
-   define_bool CONFIG_PLD n
+   if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
+      bool 'Support ARM922T(Excalibur) processor' CONFIG_ARM922T
+   else
+      define_bool CONFIG_CPU_ARM922T n
+   fi
 fi
 
 # ARM926T
 if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
-   bool 'Support ARM926T processor' CONFIG_CPU_ARM926T
+   bool 'Support ARM926TEJ-S processor' CONFIG_CPU_ARM926T
 else
    define_bool CONFIG_CPU_ARM926T n
 fi
 
 # ARM1020
 if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
-   bool 'Support ARM1020 processor' CONFIG_CPU_ARM1020
+   bool 'Support ARM1020T (Rev0) processor' CONFIG_CPU_ARM1020
 else
     define_bool CONFIG_CPU_ARM1020 n
 fi
 
+# ARM1020E
+if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
+   bool 'Support ARM1020E (Rev1) processor' CONFIG_CPU_ARM1020E
+else
+    define_bool CONFIG_CPU_ARM1020E n
+fi
+
+# ARM1022
+if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
+   bool 'Support ARM1022 processor' CONFIG_CPU_ARM1020E
+else
+    define_bool CONFIG_CPU_ARM1022 n
+fi
+
 # ARM1026EJ-S
 if [ "$CONFIG_ARCH_INTEGRATOR" = "y" ]; then
    bool 'Support ARM1026EJ-S processor' CONFIG_CPU_ARM1026
@@ -412,7 +435,7 @@
      "$CONFIG_ARCH_TBOX"       = "y" -o "$CONFIG_ARCH_SHARK"    = "y" -o \
      "$CONFIG_ARCH_NEXUSPCI"   = "y" -o "$CONFIG_ARCH_CLPS711X" = "y" -o \
      "$CONFIG_ARCH_INTEGRATOR" = "y" -o "$CONFIG_ARCH_SA1100"   = "y" -o \
-     "$CONFIG_ARCH_L7200"      = "y" -o "$CONFIG_ARCH_ANAKIN"   = "y" -o \
+     "$CONFIG_ARCH_L7200"      = "y" -o "$CONFIG_ARCH_ANAKIN"	= "y" -o \
      "$CONFIG_ARCH_CAMELOT"    = "y" -o "$CONFIG_ARCH_MX1ADS"   = "y" -o \
      "$CONFIG_ARCH_EP9301"     = "y" -o "$CONFIG_ARCH_EP9312"   = "y" -o \
      "$CONFIG_ARCH_EP9315"     = "y" -o \
@@ -426,25 +449,29 @@
 
 if [ "$CONFIG_CPU_ARM720T" = "y" -o "$CONFIG_CPU_ARM920T" = "y" -o \
      "$CONFIG_CPU_ARM922T" = "y" -o "$CONFIG_CPU_ARM926T" = "y" -o \
-     "$CONFIG_CPU_ARM1020" = "y" -o "$CONFIG_CPU_ARM1026" = "y" ]; then
+     "$CONFIG_CPU_ARM1020" = "y" -o "$CONFIG_CPU_ARM1020E" = "y" -o \
+     "$CONFIG_CPU_ARM1022" = "y" -o "$CONFIG_CPU_ARM1026" = "y" ]; then
    dep_bool 'Support Thumb instructions (EXPERIMENTAL)' CONFIG_ARM_THUMB $CONFIG_EXPERIMENTAL
 fi
 if [ "$CONFIG_CPU_ARM920T" = "y" -o "$CONFIG_CPU_ARM922T" = "y" -o \
      "$CONFIG_CPU_ARM926T" = "y" -o "$CONFIG_CPU_ARM1020" = "y" -o \
+     "$CONFIG_CPU_ARM1020E" = "y" -o "$CONFIG_CPU_ARM1022" = "y" -o \
      "$CONFIG_CPU_ARM1026" = "y" ]; then
    bool 'Disable I-Cache' CONFIG_CPU_ICACHE_DISABLE
    bool 'Disable D-Cache' CONFIG_CPU_DCACHE_DISABLE
-   if [ "$CONFIG_CPU_DISABLE_DCACHE" = "n" ]; then
+   if [ "$CONFIG_CPU_DCACHE_DISABLE" = "n" ]; then
       bool 'Force write through D-cache' CONFIG_CPU_DCACHE_WRITETHROUGH
    fi
 fi
 if [ "$CONFIG_CPU_ARM926T" = "y" -o "$CONFIG_CPU_ARM1020" = "y" -o \
+     "$CONFIG_CPU_ARM1020E" = "y" -o "$CONFIG_CPU_ARM1022" = "y" -o \
      "$CONFIG_CPU_ARM1026" = "y" ]; then
    if [ "$CONFIG_CPU_ICACHE_DISABLE" = "n" -o "$CONFIG_CPU_DCACHE_DISABLE" = "n" ]; then
       bool 'Round robin I and D cache replacement algorithm' CONFIG_CPU_CACHE_ROUND_ROBIN
    fi
 fi
-if [ "$CONFIG_CPU_ARM1020" = "y" -o "$CONFIG_CPU_ARM1026" = "y" ]; then
+if [ "$CONFIG_CPU_ARM1020" = "y" -o "$CONFIG_CPU_ARM1020E" = "y" -o \
+    "$CONFIG_CPU_ARM1026" = "y" -o "$CONFIG_CPU_ARM1022" = "y" ]; then
    bool 'Disable branch prediction' CONFIG_CPU_BPREDICT_DISABLE
 fi
 
@@ -541,8 +568,8 @@
    dep_tristate 'FastFPE math emulation (EXPERIMENTAL)' CONFIG_FPE_FASTFPE $CONFIG_EXPERIMENTAL
 fi
 choice 'Kernel core (/proc/kcore) format' \
-    "ELF        CONFIG_KCORE_ELF    \
-     A.OUT      CONFIG_KCORE_AOUT" ELF
+	"ELF		CONFIG_KCORE_ELF	\
+	 A.OUT		CONFIG_KCORE_AOUT" ELF
 tristate 'Kernel support for a.out binaries' CONFIG_BINFMT_AOUT
 tristate 'Kernel support for ELF binaries' CONFIG_BINFMT_ELF
 tristate 'Kernel support for MISC binaries' CONFIG_BINFMT_MISC
@@ -559,18 +586,20 @@
      "$CONFIG_ARCH_SA1100" = "y" -o     \
      "$CONFIG_ARCH_INTEGRATOR" = "y" -o \
      "$CONFIG_ARCH_CDB89712" = "y" -o   \
-     "$CONFIG_ARCH_P720T" = "y" -o  \
-     "$CONFIG_ARCH_OMAHA" = "y" ]; then
+     "$CONFIG_ARCH_P720T" = "y" -o	\
+     "$CONFIG_ARCH_OMAHA" = "y" -o	\
+     "$CONFIG_ARCH_AT91RM9200" = "y" ]; then
    bool 'Timer and CPU usage LEDs' CONFIG_LEDS
    if [ "$CONFIG_LEDS" = "y" ]; then
       if [ "$CONFIG_ARCH_NETWINDER" = "y" -o  \
-       "$CONFIG_ARCH_EBSA285" = "y" -o    \
-       "$CONFIG_ARCH_SHARK" = "y" -o      \
-       "$CONFIG_ARCH_CO285" = "y" -o      \
-       "$CONFIG_ARCH_SA1100" = "y" -o     \
+	   "$CONFIG_ARCH_EBSA285" = "y" -o    \
+	   "$CONFIG_ARCH_SHARK" = "y" -o      \
+	   "$CONFIG_ARCH_CO285" = "y" -o      \
+	   "$CONFIG_ARCH_SA1100" = "y" -o     \
            "$CONFIG_ARCH_INTEGRATOR" = "y" -o \
-       "$CONFIG_ARCH_P720T" = "y" -o      \
-       "$CONFIG_ARCH_OMAHA" = "y" ]; then
+	   "$CONFIG_ARCH_P720T" = "y" -o      \
+	   "$CONFIG_ARCH_OMAHA" = "y" -o      \
+	   "$CONFIG_ARCH_AT91RM9200" = "y" ]; then
          bool '  Timer LED' CONFIG_LEDS_TIMER
          bool '  CPU usage LED' CONFIG_LEDS_CPU
       fi
@@ -593,7 +622,10 @@
 source drivers/parport/Config.in
 
 if [ "$CONFIG_ALIGNMENT_TRAP" = "y" ]; then
-  source drivers/mtd/Config.in
+  source drivers/mtd2k/Config.in
+  if [ "$CONFIG_MTD2K" = "n" ]; then
+    source drivers/mtd/Config.in
+  fi
 else
   define_bool CONFIG_MTD n
 fi
@@ -631,7 +663,6 @@
 if [ "$CONFIG_IDE" != "n" ]; then
   source drivers/ide/Config.in
 else
-  define_bool CONFIG_BLK_DEV_IDE_MODES n
   define_bool CONFIG_BLK_DEV_HD n
 fi
 endmenu
@@ -709,7 +740,7 @@
         "$CONFIG_ARCH_CLPS7500" = "y" -o   \
         "$CONFIG_ARCH_P720T" = "y" -o      \
         "$CONFIG_ARCH_ANAKIN" = "y" -o      \
-    "$CONFIG_ARCH_MX1ADS" = "y" ]; then
+	"$CONFIG_ARCH_MX1ADS" = "y" ]; then
       define_bool CONFIG_PC_KEYMAP y
    fi
    if [ "$CONFIG_ARCH_ACORN" != "y" -a "$CONFIG_ARCH_EBSA110" != "y" -a "$CONFIG_ARCH_RISCSTATION" != "y" ]; then
Index: arch/arm/boot/compressed/head.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/boot/compressed/head.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/boot/compressed/head.S	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/boot/compressed/head.S	4 Aug 2004 01:25:37 -0000	1.2
@@ -40,6 +40,14 @@
 		.macro	writeb,	rb
 		strb	\rb, [r3, #0x3f8 << 2]
 		.endm
+#elif defined(CONFIG_ARCH_RISCSTATION)
+		.macro	loadsp,	rb
+		mov	\rb, #0x03000000
+		orr	\rb, \rb, #0x00010000
+		.endm
+		.macro	writeb,	rb
+		strb	\rb, [r3, #0x3f8 << 2]
+		.endm
 #elif defined(CONFIG_ARCH_INTEGRATOR)
 		.macro	loadsp, rb
 		mov	\rb, #0x16000000
@@ -396,6 +404,20 @@
 		mcr	p15, 0, r0, c1, c0, 0	@ load control register
 		mov	pc, r12
 
+__arm7_cache_on:
+		mov	r12, lr
+		bl	__setup_mmu
+		mov	r0, #0
+		mcr	p15, 0, r0, c7, c0, 0	@ invalidate whole cache v3
+		mcr	p15, 0, r0, c5, c0, 0	@ invalidate whole TLB v3
+		mcr	p15, 0, r3, c2, c0, 0	@ load page table pointer
+		mov	r0, #-1
+		mcr	p15, 0, r0, c3, c0, 0	@ load domain access control
+		mov	r0, #0x7d
+		mcr	p15, 0, r0, c1, c0, 0	@ load control register
+		mov	pc, r12
+
+
 /*
  * All code following this line is relocatable.  It is relocated by
  * the above code to the end of the decompressed kernel image and
@@ -480,9 +502,9 @@
 
 		.word	0x41007000		@ ARM7/710
 		.word	0xfff8fe00
+		b	__arm7_cache_on
 		b	__arm7_cache_off
-		b	__arm7_cache_off
-		mov	pc, lr
+		b	__armv3_cache_flush
 
 		.word	0x41807200		@ ARM720T (writethrough)
 		.word	0xffffff00
@@ -490,14 +512,14 @@
 		b	__armv4_cache_off
 		mov	pc, lr
 
-		.word	0x41129200		@ ARM920T
-		.word	0xff00fff0
+		.word	0x41009200		@ ARM920T, ARM922T, ARM926TEJ-S
+		.word	0xff00ff90
 		b	__armv4_cache_on
 		b	__armv4_cache_off
 		b	__armv4_cache_flush
 
-		.word	0x41029220		@ ARM922T
-		.word	0xff00fff0
+		.word	0x4100a200		@ ARM1020T/E, ARM1022E, ARM1026TEJ-S
+		.word	0xff00ff90
 		b	__armv4_cache_on
 		b	__armv4_cache_off
 		b	__armv4_cache_flush
Index: arch/arm/boot/compressed/misc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/boot/compressed/misc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/boot/compressed/misc.c	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/boot/compressed/misc.c	21 Oct 2005 17:54:15 -0000	1.2
@@ -265,7 +265,7 @@
 	bytes_out += (ulg)outcnt;
 	output_ptr += (ulg)outcnt;
 	outcnt = 0;
-	puts(".");
+	// puts(".");
 }
 
 static void error(char *x)
@@ -293,9 +293,11 @@
 	arch_decomp_setup();
 
 	makecrc();
-	puts("Uncompressing Linux...");
+	// These puts() messages can't be quieted by any other means and some 
+	// people don't appreciate it if they want to run console-less --JO
+	// puts("Uncompressing Linux...");
 	gunzip();
-	puts(" done, booting the kernel.\n");
+	// puts(" done, booting the kernel.\n");
 	return output_ptr;
 }
 #else
@@ -307,9 +309,9 @@
 	output_data = output_buffer;
 
 	makecrc();
-	puts("Uncompressing Linux...");
+	// puts("Uncompressing Linux...");
 	gunzip();
-	puts("done.\n");
+	// puts("done.\n");
 	return 0;
 }
 #endif
Index: arch/arm/def-configs/a5k
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/a5k,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/a5k	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/a5k	4 Aug 2004 01:25:37 -0000	1.2
@@ -287,7 +287,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 
 #
 # SCSI support
Index: arch/arm/def-configs/accelent_sa
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/accelent_sa,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/accelent_sa	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/accelent_sa	4 Aug 2004 01:25:37 -0000	1.2
@@ -506,7 +506,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/adsagc
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/adsagc,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/adsagc	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/adsagc	4 Aug 2004 01:25:37 -0000	1.2
@@ -535,7 +535,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/adsbitsy
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/adsbitsy,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/adsbitsy	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/adsbitsy	4 Aug 2004 01:25:37 -0000	1.2
@@ -535,7 +535,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/adsbitsyplus
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/adsbitsyplus,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/adsbitsyplus	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/adsbitsyplus	4 Aug 2004 01:25:37 -0000	1.2
@@ -535,7 +535,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/anakin
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/anakin,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/anakin	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/anakin	4 Aug 2004 01:25:37 -0000	1.2
@@ -259,7 +259,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/assabet
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/assabet,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/assabet	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/assabet	4 Aug 2004 01:25:37 -0000	1.2
@@ -493,7 +493,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/at91rm9200dk
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/at91rm9200dk,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/at91rm9200dk	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/at91rm9200dk	4 Aug 2004 01:25:37 -0000	1.2
@@ -111,6 +111,7 @@
 # AT91RM9200 Implementations
 #
 CONFIG_ARCH_AT91RM9200DK=y
+# CONFIG_MACH_CSB337 is not set
 
 #
 # CLPS711X/EP721X Implementations
@@ -125,6 +126,7 @@
 # CONFIG_ARCH_EP7211 is not set
 # CONFIG_ARCH_EP7212 is not set
 # CONFIG_ARCH_ACORN is not set
+# CONFIG_PLD is not set
 # CONFIG_FOOTBRIDGE is not set
 # CONFIG_FOOTBRIDGE_HOST is not set
 # CONFIG_FOOTBRIDGE_ADDIN is not set
@@ -135,9 +137,10 @@
 # CONFIG_CPU_ARM720T is not set
 CONFIG_CPU_ARM920T=y
 # CONFIG_CPU_ARM922T is not set
-# CONFIG_PLD is not set
 # CONFIG_CPU_ARM926T is not set
 # CONFIG_CPU_ARM1020 is not set
+# CONFIG_CPU_ARM1020E is not set
+# CONFIG_CPU_ARM1022 is not set
 # CONFIG_CPU_ARM1026 is not set
 # CONFIG_CPU_SA110 is not set
 # CONFIG_CPU_SA1100 is not set
@@ -146,6 +149,7 @@
 # CONFIG_ARM_THUMB is not set
 # CONFIG_CPU_ICACHE_DISABLE is not set
 # CONFIG_CPU_DCACHE_DISABLE is not set
+# CONFIG_CPU_DCACHE_WRITETHROUGH is not set
 # CONFIG_DISCONTIGMEM is not set
 
 #
@@ -164,6 +168,7 @@
 # CONFIG_BSD_PROCESS_ACCT is not set
 CONFIG_SYSCTL=y
 CONFIG_FPE_NWFPE=y
+# CONFIG_FPE_NWFPE_XP is not set
 # CONFIG_FPE_FASTFPE is not set
 CONFIG_KCORE_ELF=y
 # CONFIG_KCORE_AOUT is not set
@@ -173,6 +178,9 @@
 # CONFIG_PM is not set
 # CONFIG_ARTHUR is not set
 CONFIG_CMDLINE="mem=32M console=ttyS0,115200 initrd=0x20210000,3145728 root=/dev/ram rw"
+CONFIG_LEDS=y
+CONFIG_LEDS_TIMER=y
+# CONFIG_LEDS_CPU is not set
 CONFIG_ALIGNMENT_TRAP=y
 
 #
@@ -204,6 +212,7 @@
 # CONFIG_MTD_CFI_ADV_OPTIONS is not set
 # CONFIG_MTD_CFI_INTELEXT is not set
 CONFIG_MTD_CFI_AMDSTD=y
+# CONFIG_MTD_CFI_STAA is not set
 # CONFIG_MTD_RAM is not set
 # CONFIG_MTD_ROM is not set
 # CONFIG_MTD_ABSENT is not set
@@ -230,7 +239,9 @@
 # CONFIG_MTD_AUTCPU12 is not set
 # CONFIG_MTD_EDB7312 is not set
 # CONFIG_MTD_IMPA7 is not set
+# CONFIG_MTD_CEIVA is not set
 # CONFIG_MTD_PCI is not set
+# CONFIG_MTD_PCMCIA is not set
 
 #
 # Self-contained MTD device drivers
@@ -250,9 +261,9 @@
 # NAND Flash Device Drivers
 #
 CONFIG_MTD_NAND=y
-CONFIG_MTD_NAND_ECC=y
 # CONFIG_MTD_NAND_VERIFY_WRITE is not set
-CONFIG_MTD_AT91_SMARTMEDIA=y
+CONFIG_MTD_NAND_IDS=y
+# CONFIG_MTD_AT91_SMARTMEDIA is not set
 
 #
 # Plug and Play configuration
@@ -269,6 +280,7 @@
 # CONFIG_BLK_CPQ_DA is not set
 # CONFIG_BLK_CPQ_CISS_DA is not set
 # CONFIG_CISS_SCSI_TAPE is not set
+# CONFIG_CISS_MONITOR_THREAD is not set
 # CONFIG_BLK_DEV_DAC960 is not set
 # CONFIG_BLK_DEV_UMEM is not set
 # CONFIG_BLK_DEV_LOOP is not set
@@ -276,6 +288,7 @@
 CONFIG_BLK_DEV_RAM=y
 CONFIG_BLK_DEV_RAM_SIZE=8192
 CONFIG_BLK_DEV_INITRD=y
+# CONFIG_BLK_STATS is not set
 
 #
 # Multi-device support (RAID and LVM)
@@ -312,6 +325,12 @@
 # CONFIG_SYN_COOKIES is not set
 # CONFIG_IPV6 is not set
 # CONFIG_KHTTPD is not set
+
+#
+#    SCTP Configuration (EXPERIMENTAL)
+#
+CONFIG_IPV6_SCTP__=y
+# CONFIG_IP_SCTP is not set
 # CONFIG_ATM is not set
 # CONFIG_VLAN_8021Q is not set
 # CONFIG_IPX is not set
@@ -382,10 +401,12 @@
 #
 # CONFIG_ACENIC is not set
 # CONFIG_DL2K is not set
+# CONFIG_E1000 is not set
 # CONFIG_MYRI_SBUS is not set
 # CONFIG_NS83820 is not set
 # CONFIG_HAMACHI is not set
 # CONFIG_YELLOWFIN is not set
+# CONFIG_R8169 is not set
 # CONFIG_SK98LIN is not set
 # CONFIG_TIGON3 is not set
 # CONFIG_FDDI is not set
@@ -426,7 +447,6 @@
 # ATA/ATAPI/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
@@ -456,6 +476,8 @@
 # CONFIG_INPUT_MOUSEDEV is not set
 # CONFIG_INPUT_JOYDEV is not set
 # CONFIG_INPUT_EVDEV is not set
+# CONFIG_INPUT_UINPUT is not set
+# CONFIG_INPUT_MX1TS is not set
 
 #
 # Character devices
@@ -503,6 +525,7 @@
 #
 CONFIG_I2C=y
 # CONFIG_I2C_ALGOBIT is not set
+# CONFIG_SCx200_ACB is not set
 # CONFIG_I2C_ALGOPCF is not set
 CONFIG_I2C_AT91=y
 CONFIG_I2C_CHARDEV=y
@@ -529,6 +552,11 @@
 #
 # CONFIG_INPUT_GAMEPORT is not set
 # CONFIG_QIC02_TAPE is not set
+# CONFIG_IPMI_HANDLER is not set
+# CONFIG_IPMI_PANIC_EVENT is not set
+# CONFIG_IPMI_DEVICE_INTERFACE is not set
+# CONFIG_IPMI_KCS is not set
+# CONFIG_IPMI_WATCHDOG is not set
 
 #
 # Watchdog Cards
@@ -537,12 +565,14 @@
 CONFIG_WATCHDOG_NOWAYOUT=y
 # CONFIG_ACQUIRE_WDT is not set
 # CONFIG_ADVANTECH_WDT is not set
+# CONFIG_ALIM1535_WDT is not set
 # CONFIG_ALIM7101_WDT is not set
 # CONFIG_SC520_WDT is not set
 # CONFIG_PCWATCHDOG is not set
 # CONFIG_21285_WATCHDOG is not set
 # CONFIG_977_WATCHDOG is not set
 # CONFIG_SA1100_WATCHDOG is not set
+# CONFIG_EPXA_WATCHDOG is not set
 # CONFIG_OMAHA_WATCHDOG is not set
 CONFIG_AT91_WATCHDOG=y
 # CONFIG_EUROTECH_WDT is not set
@@ -552,11 +582,16 @@
 # CONFIG_MIXCOMWD is not set
 # CONFIG_60XX_WDT is not set
 # CONFIG_SC1200_WDT is not set
+# CONFIG_SCx200_WDT is not set
 # CONFIG_SOFT_WATCHDOG is not set
 # CONFIG_W83877F_WDT is not set
 # CONFIG_WDT is not set
 # CONFIG_WDTPCI is not set
 # CONFIG_MACHZ_WDT is not set
+# CONFIG_AMD7XX_TCO is not set
+# CONFIG_SCx200 is not set
+# CONFIG_SCx200_GPIO is not set
+# CONFIG_AMD_PM768 is not set
 # CONFIG_NVRAM is not set
 # CONFIG_RTC is not set
 CONFIG_AT91_RTC=y
@@ -569,6 +604,10 @@
 #
 # CONFIG_FTAPE is not set
 # CONFIG_AGP is not set
+
+#
+# Direct Rendering Manager (XFree86 DRI support)
+#
 # CONFIG_DRM is not set
 
 #
@@ -580,6 +619,7 @@
 # File systems
 #
 # CONFIG_QUOTA is not set
+# CONFIG_QFMT_V2 is not set
 # CONFIG_AUTOFS_FS is not set
 # CONFIG_AUTOFS4_FS is not set
 # CONFIG_REISERFS_FS is not set
@@ -589,6 +629,9 @@
 # CONFIG_ADFS_FS_RW is not set
 # CONFIG_AFFS_FS is not set
 # CONFIG_HFS_FS is not set
+# CONFIG_HFSPLUS_FS is not set
+# CONFIG_BEFS_FS is not set
+# CONFIG_BEFS_DEBUG is not set
 # CONFIG_BFS_FS is not set
 # CONFIG_EXT3_FS is not set
 # CONFIG_JBD is not set
@@ -606,6 +649,9 @@
 # CONFIG_ISO9660_FS is not set
 # CONFIG_JOLIET is not set
 # CONFIG_ZISOFS is not set
+# CONFIG_JFS_FS is not set
+# CONFIG_JFS_DEBUG is not set
+# CONFIG_JFS_STATISTICS is not set
 # CONFIG_MINIX_FS is not set
 # CONFIG_VXFS_FS is not set
 # CONFIG_NTFS_FS is not set
@@ -625,6 +671,11 @@
 # CONFIG_UDF_RW is not set
 # CONFIG_UFS_FS is not set
 # CONFIG_UFS_FS_WRITE is not set
+# CONFIG_XFS_FS is not set
+# CONFIG_XFS_QUOTA is not set
+# CONFIG_XFS_RT is not set
+# CONFIG_XFS_TRACE is not set
+# CONFIG_XFS_DEBUG is not set
 
 #
 # Network File Systems
@@ -633,9 +684,11 @@
 # CONFIG_INTERMEZZO_FS is not set
 # CONFIG_NFS_FS is not set
 # CONFIG_NFS_V3 is not set
+# CONFIG_NFS_DIRECTIO is not set
 # CONFIG_ROOT_NFS is not set
 # CONFIG_NFSD is not set
 # CONFIG_NFSD_V3 is not set
+# CONFIG_NFSD_TCP is not set
 # CONFIG_SUNRPC is not set
 # CONFIG_LOCKD is not set
 # CONFIG_SMB_FS is not set
@@ -649,7 +702,6 @@
 # CONFIG_NCPFS_NLS is not set
 # CONFIG_NCPFS_EXTRAS is not set
 # CONFIG_ZISOFS_FS is not set
-# CONFIG_ZLIB_FS_INFLATE is not set
 
 #
 # Partition Types
@@ -675,16 +727,18 @@
 # CONFIG_USB_DEBUG is not set
 # CONFIG_USB_DEVICEFS is not set
 # CONFIG_USB_BANDWIDTH is not set
-# CONFIG_USB_LONG_TIMEOUT is not set
 # CONFIG_USB_EHCI_HCD is not set
 # CONFIG_USB_UHCI is not set
 # CONFIG_USB_UHCI_ALT is not set
 # CONFIG_USB_OHCI is not set
 # CONFIG_USB_OHCI_SA1111 is not set
+# CONFIG_USB_SL811HS_ALT is not set
+# CONFIG_USB_SL811HS is not set
 CONFIG_USB_OHCI_AT91=y
 # CONFIG_USB_AUDIO is not set
 # CONFIG_USB_EMI26 is not set
 # CONFIG_USB_BLUETOOTH is not set
+# CONFIG_USB_MIDI is not set
 # CONFIG_USB_STORAGE is not set
 # CONFIG_USB_STORAGE_DEBUG is not set
 # CONFIG_USB_STORAGE_DATAFAB is not set
@@ -693,6 +747,7 @@
 # CONFIG_USB_STORAGE_DPCM is not set
 # CONFIG_USB_STORAGE_HP8200e is not set
 # CONFIG_USB_STORAGE_SDDR09 is not set
+# CONFIG_USB_STORAGE_SDDR55 is not set
 # CONFIG_USB_STORAGE_JUMPSHOT is not set
 # CONFIG_USB_ACM is not set
 # CONFIG_USB_PRINTER is not set
@@ -701,7 +756,10 @@
 # CONFIG_USB_HIDDEV is not set
 # CONFIG_USB_KBD is not set
 # CONFIG_USB_MOUSE is not set
+# CONFIG_USB_AIPTEK is not set
 # CONFIG_USB_WACOM is not set
+# CONFIG_USB_KBTAB is not set
+# CONFIG_USB_POWERMATE is not set
 # CONFIG_USB_DC2XX is not set
 # CONFIG_USB_MDC800 is not set
 # CONFIG_USB_SCANNER is not set
@@ -719,35 +777,16 @@
 # USB Serial Converter support
 #
 # CONFIG_USB_SERIAL is not set
-# CONFIG_USB_SERIAL_GENERIC is not set
-# CONFIG_USB_SERIAL_BELKIN is not set
-# CONFIG_USB_SERIAL_WHITEHEAT is not set
-# CONFIG_USB_SERIAL_DIGI_ACCELEPORT is not set
-# CONFIG_USB_SERIAL_EMPEG is not set
-# CONFIG_USB_SERIAL_FTDI_SIO is not set
-# CONFIG_USB_SERIAL_VISOR is not set
-# CONFIG_USB_SERIAL_IPAQ is not set
-# CONFIG_USB_SERIAL_IR is not set
-# CONFIG_USB_SERIAL_EDGEPORT is not set
-# CONFIG_USB_SERIAL_KEYSPAN_PDA is not set
-# CONFIG_USB_SERIAL_KEYSPAN is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA28 is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA28X is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA28XA is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA28XB is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA19 is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA18X is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA19W is not set
-# CONFIG_USB_SERIAL_KEYSPAN_USA49W is not set
-# CONFIG_USB_SERIAL_MCT_U232 is not set
-# CONFIG_USB_SERIAL_KLSI is not set
-# CONFIG_USB_SERIAL_PL2303 is not set
-# CONFIG_USB_SERIAL_CYBERJACK is not set
-# CONFIG_USB_SERIAL_XIRCOM is not set
-# CONFIG_USB_SERIAL_OMNINET is not set
 # CONFIG_USB_RIO500 is not set
 # CONFIG_USB_AUERSWALD is not set
+# CONFIG_USB_TIGL is not set
 # CONFIG_USB_BRLVGER is not set
+# CONFIG_USB_LCD is not set
+
+#
+# Support for USB gadgets
+#
+# CONFIG_USB_GADGET is not set
 
 #
 # Bluetooth support
@@ -771,3 +810,10 @@
 CONFIG_DEBUG_LL=y
 # CONFIG_DEBUG_DC21285_PORT is not set
 # CONFIG_DEBUG_CLPS711X_UART2 is not set
+
+#
+# Library routines
+#
+CONFIG_CRC32=y
+# CONFIG_ZLIB_INFLATE is not set
+# CONFIG_ZLIB_DEFLATE is not set
Index: arch/arm/def-configs/badge4
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/badge4,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/badge4	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/badge4	4 Aug 2004 01:25:37 -0000	1.2
@@ -527,7 +527,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/brutus
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/brutus,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/brutus	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/brutus	4 Aug 2004 01:25:37 -0000	1.2
@@ -123,7 +123,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/cep
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/cep,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/cep	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/cep	4 Aug 2004 01:25:37 -0000	1.2
@@ -303,7 +303,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/cerfcube
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/cerfcube,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/cerfcube	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/cerfcube	4 Aug 2004 01:25:37 -0000	1.2
@@ -474,7 +474,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/cerfpda
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/cerfpda,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/cerfpda	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/cerfpda	4 Aug 2004 01:25:37 -0000	1.2
@@ -504,7 +504,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/cerfpod
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/cerfpod,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/cerfpod	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/cerfpod	4 Aug 2004 01:25:37 -0000	1.2
@@ -475,7 +475,6 @@
 # CONFIG_IDE_CHIPSETS is not set
 # CONFIG_IDEDMA_AUTO is not set
 # CONFIG_DMA_NONPCI is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_ATARAID is not set
 # CONFIG_BLK_DEV_ATARAID_PDC is not set
 # CONFIG_BLK_DEV_ATARAID_HPT is not set
Index: arch/arm/def-configs/clps7500
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/clps7500,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/clps7500	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/clps7500	4 Aug 2004 01:25:37 -0000	1.2
@@ -298,7 +298,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/ebsa110
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/ebsa110,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/ebsa110	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/ebsa110	4 Aug 2004 01:25:37 -0000	1.2
@@ -387,7 +387,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
Index: arch/arm/def-configs/edb7211
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/arm/def-configs/edb7211,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/arm/def-configs/edb7211	22 Jul 2004 19:48:58 -0000	1.1
+++ arch/arm/def-configs/edb7211	4 Aug 2004 01:25:37 -0000	1.2
@@ -225,7 +225,6 @@
 # ATA/IDE/MFM/RLL support
 #
 # CONFIG_IDE is not set
-# CONFIG_BLK_DEV_IDE_MODES is not set
 # CONFIG_BLK_DEV_HD is not set
 
 #
